Subject: Re: [PATCH v2] fetch-pack: grow stateless RPC windows exponentially

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Jul 2016 13:20:16 -0700

Jonathan Nieder <[email-masked]> writes:

> In the stateless-rpc case, linear growth means getting a bounded
> number of 'have's worth of benefit (new 'have's) in each round, in
> exchange for a linearly increasing cost (existing 'have's).  That is a
> high cost for limited benefit.  Exponential growth is a better deal.

Ahh, of course (silly me).  I somehow forgot the cost of having to
repeat what we have already sent to the other side.